Bug 245120 - Review Request: libgsasl - includes support for the SASL framework
Summary: Review Request: libgsasl - includes support for the SASL framework
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-21 09:16 UTC by Nikolay Vladimirov
Modified: 2011-07-11 18:31 UTC (History)
3 users (show)

Fixed In Version: 0.2.18-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 15:49:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nikolay Vladimirov 2007-06-21 09:16:19 UTC
Spec URL: http://ns.bgtld.net/build/libgsasl.spec
SRPM URL: http://ns.bgtld.net/build/libgsasl-0.2.18-1.fc7.src.rpm

Description:
The library is without NTLM and KERBEROS_V5 support. 
NTLM support can be included when libntlm( bug  245080 ) is in the repos. 

From the README:
  - KERBEROS_V5 (experimental, requires Shishi)

And also I'm making this package for msmtp( bug 243631) which doesn't use kerberos.

Comment 1 Patrice Dumas 2007-06-22 12:23:46 UTC
The summary could be better in my opinion, something like

Summary: GNU Simple Authentication and Security Layer (SASL) library

or simply

Summary: GNU SASL library

rpmlint gives:
W: libgsasl mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 7)

I see only one real issue, the timestamp for the header files
are no kept. I think it should be solved by doing something along:
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'


Comment 2 Nikolay Vladimirov 2007-06-22 13:06:46 UTC
* Fri Jun 22 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.2.18-2
- fixed mixed-use-of-spaces-and-tabs
- fixed timestamps for header files 
- edited summary

Spec URL: http://ns.bgtld.net/build/libgsasl.spec
SRPM URL: http://ns.bgtld.net/build/libgsasl-0.2.18-2.fc7.src.rpm




Comment 3 Patrice Dumas 2007-06-22 23:01:34 UTC
* rpmlint is silent
* free software, l icense included
* follow packaging and naming guidelines
* match upstream
d118c5a5a9333411ec3d6cb7973b314a  libgsasl-0.2.18.tar.gz
* sane provides
Provides: libgsasl.so.7
* right %files section
* .so in -devel, no .la, no static lib

APPROVED

I will sponsor you, just apply. That way you can rebuild libgsasl
against libntml, and msmtp against libgsasl.

Comment 4 Patrice Dumas 2007-06-23 07:41:57 UTC
You should be sponsored now.

Comment 5 Nikolay Vladimirov 2007-06-24 20:05:36 UTC
New Package CVS Request
=======================
Package Name: libgsasl
Short Description: GNU SASL library 
Owners: nikolay@vladimiroff.com
Branches: FC-6 F-7
InitialCC: 

Comment 6 Kevin Fenzi 2007-06-25 18:57:15 UTC
cvs done.

Comment 7 Nikolay Vladimirov 2007-06-26 01:54:45 UTC
* Tue Jun 26 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.2.18-3
- added NTLM support


Spec URL: http://ns.bgtld.net/build/libgsasl.spec
SRPM URL: http://ns.bgtld.net/build/libgsasl-0.2.18-3.fc7.src.rpm

building libntlm succeeded.

Comment 8 Fedora Update System 2007-07-05 19:11:23 UTC
libgsasl-0.2.18-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2007-07-09 15:49:21 UTC
libgsasl-0.2.18-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Nikolay Vladimirov 2009-01-19 11:06:39 UTC
Package Change Request
======================
Package Name: libgsasl
New Branches: EL-5
Owners: turki

Comment 11 Kevin Fenzi 2009-01-19 23:24:55 UTC
cvs done.

Comment 12 Nikolay Vladimirov 2011-07-11 18:22:08 UTC
Package Change Request
======================
Package Name: libgsasl
New Branches: EL-4
Owners: turki

Comment 13 Gwyn Ciesla 2011-07-11 18:31:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.